import { HTMLCartesianChartRenderer } from './cartesian_chart';
import { BarChartRenderOptions, SparkLineRenderOptions, StyleDefaults } from './data_styles';
import { RendererFactory } from './renderer_factory';
import { RendererOptions } from './renderer_types';
import { Renderer } from './renderer';
import { Cell, Field } from '../data_tree';
export declare class HTMLBarChartRenderer extends HTMLCartesianChartRenderer {
    getMark(): 'bar';
    getDataType(field: Field): 'temporal' | 'ordinal' | 'quantitative' | 'nominal';
    getDataValue(data: Cell): Date | string | number | null;
}
export declare class BarChartRendererFactory extends RendererFactory<BarChartRenderOptions> {
    static readonly instance: BarChartRendererFactory;
    create(document: Document, styleDefaults: StyleDefaults, rendererOptions: RendererOptions, _field: Field, options: SparkLineRenderOptions, timezone?: string): Renderer;
    get rendererName(): string;
}
